/* Berechnen Sie aus Gewicht G in kg und Laenge L in m (beides ist einzulesen)
den Bodymaßindex bmi = G/ (L*L).
Geben Sie den berechneten Wert aus und als Text, daß er fuer Frauen zwischen 19
und 24, für Männer zwischen 20 und 25 liegen sollte!
ZA: Andere meinen, das Idealgewicht berechnet sich bei Männern aus Körpergröße
(in cm) - 100 und davon 95%, bei Frauen davon 90%.
Berechnen Sie das Idealgewicht für beide Fälle mit +-2% Toleranz!
------------------------------------------------------------------------------*/
#include <stdlib.h>
int main()
{  float G, L;
   printf("\n Bitte Laenge in m(!) eingeben: "); scanf("%f", &L);
   printf("\n Gewicht in kg: ");                 scanf("%f", &G);
   printf("\n\n Bodymassindex = %.1f", G/L/L);
   printf("\n\n Der BMI sollte bei Frauen zwischen 19 und 24\n\n"
          " und bei Maennern zwischen 20 und 25 liegen.\n\n");

   G = (L*100 -100)*0.95;
   printf("\n\n Idealgewicht bei %.2f m fuer Maenner: %.0f bis %.0f kg",
                                                             L, G*0.98, G*1.02);

   G = (L*100 -100)*0.9;
   printf("\n\n Idealgewicht bei %.2f m fuer Frauen: %.0f bis %.0f kg",
                                                             L, G*0.98, G*1.02);

   printf("\n\n");   system("PAUSE");   return 0;
}
